summaryrefslogtreecommitdiff
path: root/tests/cp/no-deref-link2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/no-deref-link2')
-rwxr-xr-xtests/cp/no-deref-link210
1 files changed, 7 insertions, 3 deletions
diff --git a/tests/cp/no-deref-link2 b/tests/cp/no-deref-link2
index 8dfc6ba33..8c12c1d27 100755
--- a/tests/cp/no-deref-link2
+++ b/tests/cp/no-deref-link2
@@ -10,13 +10,17 @@ cd b
ln -s ../a .
cd ..
+fail=0
+
# It should fail with a message something like this:
# ./cp: `a' and `b/foo' are the same file
./cp -d a b 2>/dev/null
# Fail this test if the exit status is not 1
-test $? = 1 || exit 1
+test $? = 1 || fail=1
+
+test "`cat a`" = $msg || fail=1
-test "`cat a`" = bar || exit 1
+rm -rf a b
-exit 0
+exit $fail